Subject: Re: [PATCH v2 15/19] pull: teach git pull about --rebase

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Jun 2015 09:13:56 -0700

Paul Tan <[email-masked]> writes:

> so it's more or less a direct translation of the shell script, and we
> can be sure it will have the same behavior. I'm definitely in favor of
> switching this to use remote_find_tracking(), the question is whether
> we want to do it in this patch or in a future patch on top.

Ah, OK.

I then agree that the topic should be a straight-forward literal
translation of the current scripted Porcelain.  Switching
implementation detail to share more code can and should come on top
with more careful consideration, as that step can change the
semantics by mistake.

Thanks.